### Method

# Gtk TreeSelectionget_selected_rows

deprecated: 4.10

#### Declaration [src]

    GList*
    gtk_tree_selection_get_selected_rows (
      GtkTreeSelection* selection,
      GtkTreeModel** model
    )

#### Description [src]

Creates a list of path of all selected rows. Additionally, if you are planning on modifying the model after calling this function, you may want to convert the returned list into a list of `GtkTreeRowReference`s. To do this, you can use gtk_tree_row_reference_new().

To free the return value, use:

    g_list_free_full (list, (GDestroyNotify) gtk_tree_path_free);

Deprecated since: 4.10

Use GtkListView or GtkColumnView.

#### Parameters

`model`

  Type: `GtkTreeModel`

  A pointer to set to the `GtkTreeModel`

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

#### Return value

Type: A list of `GtkTreePath*`

A `GList` containing a `GtkTreePath` for each selected row.

The caller of the method takes ownership of the data, and is responsible for freeing it.